{
  description = "Drive the new LHL led panels from a pi pico";
  inputs = {
    utils.url = "github:numtide/flake-utils";
    devshell.url = "github:numtide/devshell";
    rust-overlay.url = "github:oxalica/rust-overlay";
  };
  outputs = {
    self,
    nixpkgs,
    utils,
    devshell,
    rust-overlay,
  }:
    utils.lib.eachDefaultSystem (system: let
      pkgs = import nixpkgs {
        inherit system;

        overlays = [devshell.overlays.default (import rust-overlay)];
      };
    in {
      devShells.default = pkgs.mkShell {buildInputs = [
        (pkgs.rust-bin.selectLatestNightlyWith (toolchain: toolchain.default.override {
          targets = [ "thumbv6m-none-eabi" ];
          extensions = [ "rust-src" ];
        }))
        pkgs.gcc-arm-embedded
        pkgs.rust-analyzer
        pkgs.flip-link
        pkgs.probe-run
      ];};
      formatter = pkgs.alejandra;
    });
}
